
/* Global Styles */
body {
    font-family: 'Segoe UI';
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
    zoom:0.75;
}

.container {
    max-width: 1200px;
    margin: 0 auto;
    padding: 5px;
}

    .container.body-content {
        flex: 1;
    }

/* Header Styles */
header {
    background-color: #333;
    color: white;
    padding: 10px 0;
    font-family: 'Segoe UI';
}

p {
    font-family: 'Segoe UI';
}

.header-container {
    display: flex;
    align-items: center;
}

.logo {
    /*    margin-right: 10px;
*/
}


.title {
    font-size: 22px;
    margin-right: 20px;
}
/* Navigation Styles */
nav {
    text-align: center;
}

    nav a {
        color: white;
        text-decoration: none;
        margin: 0 10px;
        transition: color 0.3s;
    }

        nav a:hover {
            color: #ff9900;
        }

/* Product Catalog Styles */
.product-container {
    display: flex;
    flex-wrap: wrap;

}
.btn:hover {
    background-color: @Html.Raw(navbarColor) !important;
}
.product-list {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-between;
    padding: 15px;
    width: 100%;

}

.product-container .product-item:nth-child(n + @(pageSize + 1)) {
    display: none;
}

.product-item {
    width: calc(33.33% - 15px);
    margin-bottom: 20px;
    padding: 15px;
    border: 1px solid #ccc;
    border-radius: 5px;
    box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
    background-color: #f9f9f9;
    transition: transform 0.3s;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 50px;
}

    .product-item h3 {
        margin-top: 0;
        font-weight: bolder;
        text-decoration: underline;
    }

    .product-item:hover {
        transform: scale(1.05);
        box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
        background-color: #fff;
    }

/* Shopping Basket Styles */


.basket-item {
    padding: 10px;
    border: 1px solid #ccc;
    border-radius: 5px;
    margin-bottom: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

    .basket-item h3 {
        margin: 0;
    }

    .basket-item button {
        background-color: #ff5555;
        border: none;
        color: white;
        padding: 5px 10px;
        border-radius: 3px;
        cursor: pointer;
        transition: background-color 0.3s;
    }

        .basket-item button:hover {
            background-color: #ff3333;
        }

/* Button Styles */
.btn {
    display: inline-block;
    padding: 8px 16px;
    font-size: 14px;
    border: none;
    border-radius: 3px;
    cursor: pointer;
    transition: background-color 0.3s;
}

.btn-primary {
    background-color: #007bff;
    color: white;
    align-self: center;
    width: 100%;
}

    .btn-primary:hover {
        background-color: #0056b3;
    }

.custom-link {
    text-decoration: none;
    color: white;
}


@keyframes slideOutRight {
    from {
        transform: translateX(0);
        opacity: 1;
    }

    to {
        transform: translateX(100%);
        opacity: 0;
    }
}

.welcome-message {
    position: relative;
    animation-name: slideOutRight;
    animation-duration: 1s; 
    animation-fill-mode: forwards;
    animation-timing-function: ease-in;
    animation-play-state: paused; 
    font-size: 20px;
    color: green;
    margin-left:25px;
    font-weight: bolder;
}

/* Search Bar Styles */
.search-container {
    display: flex;
    align-items: center;

}

#search-input {
    flex: 1;
    padding: 12px;
    background: transparent;
    font-size: 16px;
    outline: none;
}

#search-button {
    background-color: #007bff;
    color: white;
    border: none;
    border-radius: 0 5px 5px 0;
    padding: 15px 20px;
    cursor: pointer;
}

    #search-button:hover {
        background-color: #0056b3
    }

/* Footer Styles */
footer {
    background-color: #f4f4f4;
    text-align: center;
    color: #555;
    position: fixed;
    width: 100%;
    bottom: 0;
    z-index: 1000;
}



h3 {
    text-align: center;
}

/* Category Styles */

.category-list {
    float: right;
    margin-right: 20px;
}

    .category-list u1 {
        list-style: none;
        padding: 0;
        margin: 0;
    }

    .category-list li {
        display: inline-block;
        margin-right: 10px;
    }

    .category-list a {
        text-decoration: none;
        padding: 5px 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        transition: background-color 0.3s ease;
    }

.form-inline {
    margin-bottom: 20px;
}


@media (min-width: 768px) {
    /*Animations*/

    .product-item.slide-up {
        transform: translateY(0); /* Target state for slide-up effect */
        opacity: 1; /* Target state for fly-up effect */
    }

    .product-list {
        display: flex;
        flex-wrap: wrap;
        width: 100%;
    }

    .product-item {
        flex: 0 0 auto;
        width: calc(100% - 20px);
        margin: 0 10px 20px 10px;
        display: flex;
        flex-direction: row;
        justify-content: space-between;
        height: max-content;
        max-height: 750px;
        transition: transform 0.3s, opacity 0.2s; 
        transform: translateY(100%); 
        opacity: 0;
    }

        .product-item.fly-up.slide-up:hover {
            transform: translateY(0) scale(1.05); 
            box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
            background-color: #fff;
        }

            .product-item p {
            font-family: 'Segoe UI';
            font-style: oblique;
            font-weight: bold;
        }

    .dropdown-menu {
        border: 2px solid grey;
        border-radius: 30px;
        box-shadow: -5px 0px 5px rgba(0, 0, 0, 0.1);
        width: 105%;
    }

    .dropdown-button {
        display: inline-block;
        padding: 8px 16px;
        font-size: 14px;
        border: none;
        border-radius: 3px;
        cursor: pointer;
        transition: background-color 0.3s;
        background-color: #007bff;
        color: white;
        align-self: center;
        margin-left: 4px;
        width: 95%;
        margin-bottom: 2.5px;
    }

      /*  .dropdown-button:hover {
            background-color: #0056b3;
        }*/

/*    .dropdown-menu a {
        color: white;
        text-decoration: none;
        background-color: #007bff;
        padding: 5px 10px;
        border: 1px solid #ccc;
        border-radius: 5px;
        transition: background-color 0.3s ease;
        text-align: center;
    }*/
    .dropdown-menu a:hover {
        background-color: #0056b3;
    }

    .logo-img {
        width: 17%;
    }

    .spaceproduct {
        justify-content: flex-start;
        display: flex;
        width: 50%;
    }
}

@media (max-width: 767px) {

    .product-list {
        display: block;
        width: 100%;
    }
    .navbar-container {
        background-color: rgb(33, 37, 41);
    }

    .spaceproduct {
        justify-content: flex-start;
        display: flex;
        width: 100%;
    }
    .product-container {
        margin-right: 100px;
    }

    .category-menu {
        position: absolute;
        top: 125px;
        right: 15px;
    }
    .product-item.slide-up {
        transform: translateY(0); 
        opacity: 1; 
    }
    .product-item {
        width: 125%;
        margin-bottom: 20px;
        display: flex;
        flex-direction: column;
        justify-content: start;
        height: max-content;
        max-height: 750px;
        transition: transform 0.3s, opacity 0.2s;
        transform: translateY(100%);
        opacity: 0;
    }

        .product-item p {
            font-family: 'Segoe UI';
            font-style: oblique;
            font-weight: bold;
        }

    .category-menu {
        position: absolute;
        top: 250px;
        right: 10px;
        right: 10px;
    }

    .dropdown-menu {
        border: 2px solid grey;
        border-radius: 30px;
        box-shadow: -5px 0px 5px rgba(0, 0, 0, 0.1);
        width: 97%;
    }

    .dropdown-button {
        display: block;
        padding: 8px 16px;
        font-size: 14px;
        border: none;
        border-radius: 3px;
        cursor: pointer;
        transition: background-color 0.3s;
        background-color: #007bff;
        color: white;
        align-self: center;
        margin-left: 4px;
        width: 95%;
        margin-bottom: 2.5px;
    }

    btn btn-primary dropdown-toggle {
        width: 50%;
    }

    .dropdown-button:hover {
        background-color: #0056b3;
    }
    .dropdown-menu.show {
        display: contents !important;
    }
    .dropdown-menu a {
        color: white;
        text-decoration: none;
        padding: 5px 10px;
        background-color: #007bff;
        border: 1px solid #ccc;
        border-radius: 5px;
        transition: background-color 0.3s ease;
        text-align: center;
        width: 105% !important;
        position: relative;
        z-index:1000;
    }

    .logo-img {
        width: 30%;
    }
}
